
  <!DOCTYPE html>
  <html>
    <head>
      <title>useLines.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/fitting/hooks/useLines.ts</td><td class="">97.44%</td><td class="">80%</td><td class="">39</td><td class="">38</td><td class="">1</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { useMemo } from &#x27;react&#x27;;
import {
  EXCLUDED_COLOR,
  SELECTED_COLOR
} from &#x27;../../../components/Graphic/constants&#x27;;

const PREDICTED_COLOR = &#x27;#BDBDBD&#x27;;

export const useLines = (
  batchNames: string[],
  selectedBatches: string[],
  excludedBatches: string[]
) =&gt;
  useMemo(
    () =&gt;
      batchNames
        .map((batchName) =&gt; ({
          dataKey: batchName,
          name: batchName,
          onlyDots: true
        }))
        .concat(
          batchNames.map(
            (batchName) =&gt;
              ({
                dataKey: `predicted${batchName}`,
                name: &#x27;Prediction&#x27;,
                stroke: excludedBatches.includes(batchName)
                  ? EXCLUDED_COLOR
                  : selectedBatches.includes(batchName)
                  ? SELECTED_COLOR
                  : PREDICTED_COLOR,
                onlyLine: true
              } as any)
          )
        ),
    [batchNames, excludedBatches, selectedBatches]
  );
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/pages/fitting/hooks/useLines.ts&quot;,&quot;line&quot;:24,&quot;character&quot;:15,&quot;text&quot;:&quot;{\n                dataKey: `predicted${batchName}`,\n                name: &#x27;Prediction&#x27;,\n                stroke: excludedBatches.includes(batchName)\n                  ? EXCLUDED_COLOR\n                  : selectedBatches.includes(batchName)\n                  ? SELECTED_COLOR\n                  : PREDICTED_COLOR,\n                onlyLine: true\n              } as any&quot;,&quot;kind&quot;:3}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  